Ubuntuで依存関係が壊れてるときにすること

aptitude というコマンドを使いましょう.

壊れた依存関係

UbuntuにCUDAをインストールしようとした際に,満たせない依存関係がありますと怒られて進めないことがあった.

以下のパッケージには満たせない依存関係があります:
 cuda-drivers : 依存: libnvidia-encode-418 (>= 418.67) しかし、インストールされようとしていません
                  依存: libnvidia-fbc1-418 (>= 418.67) しかし、インストールされようとしていません
                  依存: libnvidia-ifr1-418 (>= 418.67) しかし、インストールされようとしていません
                  依存: nvidia-compute-utils-418 (>= 418.67) しかし、インストールされようとしていません
                  依存: nvidia-driver-418 (>= 418.67) しかし、インストールされようとしていません
                  依存: robot-player-dev しかし、インストールされようとしていません
E: 問題を解決することができません。壊れた変更禁止パッケージがあります。

どうしたら良いのか分からなかったけど,とりあえず aptitude というコマンドを使ってなんとなく解決することに成功しました.いや,実際には解決してるのかどうかは実はよく分かってない… このブログを見て真似したんだけど,この人も詳しくは分かってないようですし,僕もこれ以上自分で調べたりしてない (調べましょう…).

sudo aptitude install libnvidia-encode-418
こうなって
こうなる

そうするとこんな提案をもらうことになる.

以下のアクションでこれらの依存関係の問題は解決されます:

      以下のパッケージを削除する:
1)      libnvidia-compute-390 [390.116-0ubuntu0.18.04.1 (bionic, bionic-security, bionic-updates, now)]
2)      libnvidia-compute-390:i386 [390.116-0ubuntu0.18.04.1 (bionic, bionic-security, bionic-updates, now)]
3)      libnvidia-decode-390 [390.116-0ubuntu0.18.04.1 (bionic, bionic-security, bionic-updates, now)]
4)      libnvidia-decode-390:i386 [390.116-0ubuntu0.18.04.1 (bionic, bionic-security, bionic-updates, now)]
5)      libnvidia-encode-390 [390.116-0ubuntu0.18.04.1 (bionic, bionic-security, bionic-updates, now)]
6)      libnvidia-encode-390:i386 [390.116-0ubuntu0.18.04.1 (bionic, bionic-security, bionic-updates, now)]
7)      nvidia-386
8)      nvidia-compute-utils-390 [390.116-0ubuntu0.18.04.1 (bionic, bionic-security, bionic-updates, now)]
9)      nvidia-dmk-390 [390.116-0ubuntu0.18.04.1 (bionic, bionic-security, bionic-updates, now)]
10)     nvidia-driver-390 [390.116-0ubuntu0.18.04.1 (bionic, bionic-security, bionic-updates, now)]
11)     nvidia-kernel-source-390 [390.116-0ubuntu0.18.04.1 (bionic, bionic-security, bionic-updates, now)]
12)     nvidia-utils-390 [390.116-0ubuntu0.18.04.1 (bionic, bionic-security, bionic-updates, now)]

      以下のパッケージをインストールする:
13)     nvidia-compute-utils-418 [418.67-0ubuntu1 (<NULL>)]
14)     nvidia-headless-no-dmk-418 [418.67-0ubuntu1 (<NULL>)]
15)     nvidia-kernel-source-418 [418.67-0ubuntu1 (<NULL>)]



この解決方法を受け入れますか? [Y/n/q/?]

頼む!って y して,そのあと updateupgrade したら問題は解決したかな?ちょっと前にやった作業だから詳しいことは忘れてしまった笑.

コメントを残す

Powered by WordPress.com. テーマ: Baskerville 2 by Anders Noren

ページ先頭へ ↑

%d人のブロガーが「いいね」をつけました。